import{s as bi,n as vi,o as Ti}from"../chunks/scheduler.b108d059.js";import{S as yi,i as _i,g as s,s as r,r as n,A as $i,h as a,f as t,c as o,j as u,u as p,x as d,k as c,y as xi,a as i,v as f,d as m,t as h,w as b}from"../chunks/index.008de539.js";import{H as v}from"../chunks/Heading.88bfeb84.js";function Ci(Al){let T,Ke,ke,Oe,y,Be,_,qe,$,gl="Core utility functions/classes for Transformers.js.",Ie,x,Pl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,ze,C,El='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Ne,Ue,Se,H,Ve,L,Fe,w,Rl="A base class for creating callable objects.",Ge,M,jl='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',Je,Qe,We,A,Xe,g,Ye,P,kl="Reverses the keys and values of an object.",Ze,E,Dl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',et,R,Kl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",tt,lt,it,j,rt,k,ot,D,Ol="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",st,K,Bl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',at,O,ql="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",dt,ct,ut,B,nt,q,pt,I,Il="Check if a value is a typed array.",ft,z,zl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',mt,N,Nl='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',ht,U,Ul="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",bt,vt,Tt,S,yt,V,_t,F,Sl="Check if a value is an integer.",$t,G,Vl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',xt,J,Fl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ct,Ht,Lt,Q,wt,W,Mt,X,Gl="Check if a value is exists.",At,Y,Jl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',gt,Z,Ql="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Pt,Et,Rt,ee,jt,te,kt,le,Wl="Calculates the dimensions of a nested array.",Dt,ie,Xl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',Kt,re,Yl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Ot,Bt,qt,oe,It,se,zt,ae,Zl="Replicate python’s .pop() method for objects.",Nt,de,ei='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Ut,ce,ti="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",St,ue,li="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",Vt,Ft,Gt,ne,Jt,pe,Qt,fe,ii=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Wt,me,ri='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Xt,he,oi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Yt,Zt,el,be,tl,ve,ll,Te,si="Calculates the index offset for a given index and window size.",il,ye,ai='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',rl,_e,di="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",ol,sl,al,$e,dl,xe,cl,Ce,ci='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',ul,He,ui='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',nl,pl,fl,Le,ml,we,hl,Me,ni="Creates a new instance of the Callable class.",bl,vl,Tl,Ae,yl,ge,_l,Pe,pi=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,$l,Ee,fi='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',xl,Re,mi="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Cl,je,hi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",Hl,Ll,wl,De,Ml;return _=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new v({props:{title:"utils/core.Callable : <code> * </code>",local:"utilscorecallable--code--code",headingTag:"h2"}}),g=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),k=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),q=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),V=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),W=new v({props:{title:"utils/core.exists(x) ⇒ <code> boolean </code>",local:"utilscoreexistsx--code-boolean-code",headingTag:"h2"}}),te=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),se=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),pe=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ve=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),xe=new v({props:{title:"utils/core~Callable",local:"utilscorecallable",headingTag:"h2"}}),we=new v({props:{title:"new Callable()",local:"new-callable",headingTag:"h3"}}),ge=new v({props:{title:"callable._call(...args)",local:"callablecallargs",headingTag:"h3"}}),{c(){T=s("meta"),Ke=r(),ke=s("p"),Oe=r(),y=s("a"),Be=r(),n(_.$$.fragment),qe=r(),$=s("p"),$.textContent=gl,Ie=r(),x=s("p"),x.textContent=Pl,ze=r(),C=s("ul"),C.innerHTML=El,Ne=r(),Ue=s("hr"),Se=r(),H=s("a"),Ve=r(),n(L.$$.fragment),Fe=r(),w=s("p"),w.textContent=Rl,Ge=r(),M=s("p"),M.innerHTML=jl,Je=r(),Qe=s("hr"),We=r(),A=s("a"),Xe=r(),n(g.$$.fragment),Ye=r(),P=s("p"),P.textContent=kl,Ze=r(),E=s("p"),E.innerHTML=Dl,et=r(),R=s("table"),R.innerHTML=Kl,tt=r(),lt=s("hr"),it=r(),j=s("a"),rt=r(),n(k.$$.fragment),ot=r(),D=s("p"),D.textContent=Ol,st=r(),K=s("p"),K.innerHTML=Bl,at=r(),O=s("table"),O.innerHTML=ql,dt=r(),ct=s("hr"),ut=r(),B=s("a"),nt=r(),n(q.$$.fragment),pt=r(),I=s("p"),I.textContent=Il,ft=r(),z=s("p"),z.innerHTML=zl,mt=r(),N=s("p"),N.innerHTML=Nl,ht=r(),U=s("table"),U.innerHTML=Ul,bt=r(),vt=s("hr"),Tt=r(),S=s("a"),yt=r(),n(V.$$.fragment),_t=r(),F=s("p"),F.textContent=Sl,$t=r(),G=s("p"),G.innerHTML=Vl,xt=r(),J=s("table"),J.innerHTML=Fl,Ct=r(),Ht=s("hr"),Lt=r(),Q=s("a"),wt=r(),n(W.$$.fragment),Mt=r(),X=s("p"),X.textContent=Gl,At=r(),Y=s("p"),Y.innerHTML=Jl,gt=r(),Z=s("table"),Z.innerHTML=Ql,Pt=r(),Et=s("hr"),Rt=r(),ee=s("a"),jt=r(),n(te.$$.fragment),kt=r(),le=s("p"),le.textContent=Wl,Dt=r(),ie=s("p"),ie.innerHTML=Xl,Kt=r(),re=s("table"),re.innerHTML=Yl,Ot=r(),Bt=s("hr"),qt=r(),oe=s("a"),It=r(),n(se.$$.fragment),zt=r(),ae=s("p"),ae.textContent=Zl,Nt=r(),de=s("p"),de.innerHTML=ei,Ut=r(),ce=s("ul"),ce.innerHTML=ti,St=r(),ue=s("table"),ue.innerHTML=li,Vt=r(),Ft=s("hr"),Gt=r(),ne=s("a"),Jt=r(),n(pe.$$.fragment),Qt=r(),fe=s("p"),fe.innerHTML=ii,Wt=r(),me=s("p"),me.innerHTML=ri,Xt=r(),he=s("table"),he.innerHTML=oi,Yt=r(),Zt=s("hr"),el=r(),be=s("a"),tl=r(),n(ve.$$.fragment),ll=r(),Te=s("p"),Te.textContent=si,il=r(),ye=s("p"),ye.innerHTML=ai,rl=r(),_e=s("table"),_e.innerHTML=di,ol=r(),sl=s("hr"),al=r(),$e=s("a"),dl=r(),n(xe.$$.fragment),cl=r(),Ce=s("p"),Ce.innerHTML=ci,ul=r(),He=s("ul"),He.innerHTML=ui,nl=r(),pl=s("hr"),fl=r(),Le=s("a"),ml=r(),n(we.$$.fragment),hl=r(),Me=s("p"),Me.textContent=ni,bl=r(),vl=s("hr"),Tl=r(),Ae=s("a"),yl=r(),n(ge.$$.fragment),_l=r(),Pe=s("p"),Pe.textContent=pi,$l=r(),Ee=s("p"),Ee.innerHTML=fi,xl=r(),Re=s("ul"),Re.innerHTML=mi,Cl=r(),je=s("table"),je.innerHTML=hi,Hl=r(),Ll=s("hr"),wl=r(),De=s("p"),this.h()},l(e){const l=$i("svelte-u9bgzb",document.head);T=a(l,"META",{name:!0,content:!0}),l.forEach(t),Ke=o(e),ke=a(e,"P",{}),u(ke).forEach(t),Oe=o(e),y=a(e,"A",{id:!0,class:!0}),u(y).forEach(t),Be=o(e),p(_.$$.fragment,e),qe=o(e),$=a(e,"P",{"data-svelte-h":!0}),d($)!=="svelte-u71mwf"&&($.textContent=gl),Ie=o(e),x=a(e,"P",{"data-svelte-h":!0}),d(x)!=="svelte-1r3ntfo"&&(x.textContent=Pl),ze=o(e),C=a(e,"UL",{"data-svelte-h":!0}),d(C)!=="svelte-1q2c4q1"&&(C.innerHTML=El),Ne=o(e),Ue=a(e,"HR",{}),Se=o(e),H=a(e,"A",{id:!0,class:!0}),u(H).forEach(t),Ve=o(e),p(L.$$.fragment,e),Fe=o(e),w=a(e,"P",{"data-svelte-h":!0}),d(w)!=="svelte-1u9qjt4"&&(w.textContent=Rl),Ge=o(e),M=a(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-1vaez1e"&&(M.innerHTML=jl),Je=o(e),Qe=a(e,"HR",{}),We=o(e),A=a(e,"A",{id:!0,class:!0}),u(A).forEach(t),Xe=o(e),p(g.$$.fragment,e),Ye=o(e),P=a(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-dvlmk2"&&(P.textContent=kl),Ze=o(e),E=a(e,"P",{"data-svelte-h":!0}),d(E)!=="svelte-14f6o7p"&&(E.innerHTML=Dl),et=o(e),R=a(e,"TABLE",{"data-svelte-h":!0}),d(R)!=="svelte-8if77n"&&(R.innerHTML=Kl),tt=o(e),lt=a(e,"HR",{}),it=o(e),j=a(e,"A",{id:!0,class:!0}),u(j).forEach(t),rt=o(e),p(k.$$.fragment,e),ot=o(e),D=a(e,"P",{"data-svelte-h":!0}),d(D)!=="svelte-14ro5y0"&&(D.textContent=Ol),st=o(e),K=a(e,"P",{"data-svelte-h":!0}),d(K)!=="svelte-nstyrr"&&(K.innerHTML=Bl),at=o(e),O=a(e,"TABLE",{"data-svelte-h":!0}),d(O)!=="svelte-1h5d263"&&(O.innerHTML=ql),dt=o(e),ct=a(e,"HR",{}),ut=o(e),B=a(e,"A",{id:!0,class:!0}),u(B).forEach(t),nt=o(e),p(q.$$.fragment,e),pt=o(e),I=a(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-1oclrgb"&&(I.textContent=Il),ft=o(e),z=a(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-1uuf78s"&&(z.innerHTML=zl),mt=o(e),N=a(e,"P",{"data-svelte-h":!0}),d(N)!=="svelte-pr567i"&&(N.innerHTML=Nl),ht=o(e),U=a(e,"TABLE",{"data-svelte-h":!0}),d(U)!=="svelte-cdg32t"&&(U.innerHTML=Ul),bt=o(e),vt=a(e,"HR",{}),Tt=o(e),S=a(e,"A",{id:!0,class:!0}),u(S).forEach(t),yt=o(e),p(V.$$.fragment,e),_t=o(e),F=a(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1ityjuy"&&(F.textContent=Sl),$t=o(e),G=a(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-1n9m385"&&(G.innerHTML=Vl),xt=o(e),J=a(e,"TABLE",{"data-svelte-h":!0}),d(J)!=="svelte-6n2d7i"&&(J.innerHTML=Fl),Ct=o(e),Ht=a(e,"HR",{}),Lt=o(e),Q=a(e,"A",{id:!0,class:!0}),u(Q).forEach(t),wt=o(e),p(W.$$.fragment,e),Mt=o(e),X=a(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1l2mf7d"&&(X.textContent=Gl),At=o(e),Y=a(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1s16qo7"&&(Y.innerHTML=Jl),gt=o(e),Z=a(e,"TABLE",{"data-svelte-h":!0}),d(Z)!=="svelte-6n2d7i"&&(Z.innerHTML=Ql),Pt=o(e),Et=a(e,"HR",{}),Rt=o(e),ee=a(e,"A",{id:!0,class:!0}),u(ee).forEach(t),jt=o(e),p(te.$$.fragment,e),kt=o(e),le=a(e,"P",{"data-svelte-h":!0}),d(le)!=="svelte-1p78ixx"&&(le.textContent=Wl),Dt=o(e),ie=a(e,"P",{"data-svelte-h":!0}),d(ie)!=="svelte-15dw4oc"&&(ie.innerHTML=Xl),Kt=o(e),re=a(e,"TABLE",{"data-svelte-h":!0}),d(re)!=="svelte-1bdqiim"&&(re.innerHTML=Yl),Ot=o(e),Bt=a(e,"HR",{}),qt=o(e),oe=a(e,"A",{id:!0,class:!0}),u(oe).forEach(t),It=o(e),p(se.$$.fragment,e),zt=o(e),ae=a(e,"P",{"data-svelte-h":!0}),d(ae)!=="svelte-1m1a0x7"&&(ae.textContent=Zl),Nt=o(e),de=a(e,"P",{"data-svelte-h":!0}),d(de)!=="svelte-1dwq64m"&&(de.innerHTML=ei),Ut=o(e),ce=a(e,"UL",{"data-svelte-h":!0}),d(ce)!=="svelte-n4a723"&&(ce.innerHTML=ti),St=o(e),ue=a(e,"TABLE",{"data-svelte-h":!0}),d(ue)!=="svelte-j5xxk1"&&(ue.innerHTML=li),Vt=o(e),Ft=a(e,"HR",{}),Gt=o(e),ne=a(e,"A",{id:!0,class:!0}),u(ne).forEach(t),Jt=o(e),p(pe.$$.fragment,e),Qt=o(e),fe=a(e,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-kvbp1p"&&(fe.innerHTML=ii),Wt=o(e),me=a(e,"P",{"data-svelte-h":!0}),d(me)!=="svelte-1ydcymw"&&(me.innerHTML=ri),Xt=o(e),he=a(e,"TABLE",{"data-svelte-h":!0}),d(he)!=="svelte-stz7tp"&&(he.innerHTML=oi),Yt=o(e),Zt=a(e,"HR",{}),el=o(e),be=a(e,"A",{id:!0,class:!0}),u(be).forEach(t),tl=o(e),p(ve.$$.fragment,e),ll=o(e),Te=a(e,"P",{"data-svelte-h":!0}),d(Te)!=="svelte-1m1ncmy"&&(Te.textContent=si),il=o(e),ye=a(e,"P",{"data-svelte-h":!0}),d(ye)!=="svelte-vsw9ui"&&(ye.innerHTML=ai),rl=o(e),_e=a(e,"TABLE",{"data-svelte-h":!0}),d(_e)!=="svelte-xzg366"&&(_e.innerHTML=di),ol=o(e),sl=a(e,"HR",{}),al=o(e),$e=a(e,"A",{id:!0,class:!0}),u($e).forEach(t),dl=o(e),p(xe.$$.fragment,e),cl=o(e),Ce=a(e,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-15n5joc"&&(Ce.innerHTML=ci),ul=o(e),He=a(e,"UL",{"data-svelte-h":!0}),d(He)!=="svelte-thd9hc"&&(He.innerHTML=ui),nl=o(e),pl=a(e,"HR",{}),fl=o(e),Le=a(e,"A",{id:!0,class:!0}),u(Le).forEach(t),ml=o(e),p(we.$$.fragment,e),hl=o(e),Me=a(e,"P",{"data-svelte-h":!0}),d(Me)!=="svelte-hu496d"&&(Me.textContent=ni),bl=o(e),vl=a(e,"HR",{}),Tl=o(e),Ae=a(e,"A",{id:!0,class:!0}),u(Ae).forEach(t),yl=o(e),p(ge.$$.fragment,e),_l=o(e),Pe=a(e,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-8c74gj"&&(Pe.textContent=pi),$l=o(e),Ee=a(e,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-161nsqx"&&(Ee.innerHTML=fi),xl=o(e),Re=a(e,"UL",{"data-svelte-h":!0}),d(Re)!=="svelte-7c1v8c"&&(Re.innerHTML=mi),Cl=o(e),je=a(e,"TABLE",{"data-svelte-h":!0}),d(je)!=="svelte-1v34kj"&&(je.innerHTML=hi),Hl=o(e),Ll=a(e,"HR",{}),wl=o(e),De=a(e,"P",{}),u(De).forEach(t),this.h()},h(){c(T,"name","hf:doc:metadata"),c(T,"content",Hi),c(y,"id","module_utils/core"),c(y,"class","group"),c(H,"id","module_utils/core.Callable"),c(H,"class","group"),c(A,"id","module_utils/core.reverseDictionary"),c(A,"class","group"),c(j,"id","module_utils/core.escapeRegExp"),c(j,"class","group"),c(B,"id","module_utils/core.isTypedArray"),c(B,"class","group"),c(S,"id","module_utils/core.isIntegralNumber"),c(S,"class","group"),c(Q,"id","module_utils/core.exists"),c(Q,"class","group"),c(ee,"id","module_utils/core.calculateDimensions"),c(ee,"class","group"),c(oe,"id","module_utils/core.pop"),c(oe,"class","group"),c(ne,"id","module_utils/core.mergeArrays"),c(ne,"class","group"),c(be,"id","module_utils/core.calculateReflectOffset"),c(be,"class","group"),c($e,"id","module_utils/core..Callable"),c($e,"class","group"),c(Le,"id","new_module_utils/core..Callable_new"),c(Le,"class","group"),c(Ae,"id","module_utils/core..Callable+_call"),c(Ae,"class","group")},m(e,l){xi(document.head,T),i(e,Ke,l),i(e,ke,l),i(e,Oe,l),i(e,y,l),i(e,Be,l),f(_,e,l),i(e,qe,l),i(e,$,l),i(e,Ie,l),i(e,x,l),i(e,ze,l),i(e,C,l),i(e,Ne,l),i(e,Ue,l),i(e,Se,l),i(e,H,l),i(e,Ve,l),f(L,e,l),i(e,Fe,l),i(e,w,l),i(e,Ge,l),i(e,M,l),i(e,Je,l),i(e,Qe,l),i(e,We,l),i(e,A,l),i(e,Xe,l),f(g,e,l),i(e,Ye,l),i(e,P,l),i(e,Ze,l),i(e,E,l),i(e,et,l),i(e,R,l),i(e,tt,l),i(e,lt,l),i(e,it,l),i(e,j,l),i(e,rt,l),f(k,e,l),i(e,ot,l),i(e,D,l),i(e,st,l),i(e,K,l),i(e,at,l),i(e,O,l),i(e,dt,l),i(e,ct,l),i(e,ut,l),i(e,B,l),i(e,nt,l),f(q,e,l),i(e,pt,l),i(e,I,l),i(e,ft,l),i(e,z,l),i(e,mt,l),i(e,N,l),i(e,ht,l),i(e,U,l),i(e,bt,l),i(e,vt,l),i(e,Tt,l),i(e,S,l),i(e,yt,l),f(V,e,l),i(e,_t,l),i(e,F,l),i(e,$t,l),i(e,G,l),i(e,xt,l),i(e,J,l),i(e,Ct,l),i(e,Ht,l),i(e,Lt,l),i(e,Q,l),i(e,wt,l),f(W,e,l),i(e,Mt,l),i(e,X,l),i(e,At,l),i(e,Y,l),i(e,gt,l),i(e,Z,l),i(e,Pt,l),i(e,Et,l),i(e,Rt,l),i(e,ee,l),i(e,jt,l),f(te,e,l),i(e,kt,l),i(e,le,l),i(e,Dt,l),i(e,ie,l),i(e,Kt,l),i(e,re,l),i(e,Ot,l),i(e,Bt,l),i(e,qt,l),i(e,oe,l),i(e,It,l),f(se,e,l),i(e,zt,l),i(e,ae,l),i(e,Nt,l),i(e,de,l),i(e,Ut,l),i(e,ce,l),i(e,St,l),i(e,ue,l),i(e,Vt,l),i(e,Ft,l),i(e,Gt,l),i(e,ne,l),i(e,Jt,l),f(pe,e,l),i(e,Qt,l),i(e,fe,l),i(e,Wt,l),i(e,me,l),i(e,Xt,l),i(e,he,l),i(e,Yt,l),i(e,Zt,l),i(e,el,l),i(e,be,l),i(e,tl,l),f(ve,e,l),i(e,ll,l),i(e,Te,l),i(e,il,l),i(e,ye,l),i(e,rl,l),i(e,_e,l),i(e,ol,l),i(e,sl,l),i(e,al,l),i(e,$e,l),i(e,dl,l),f(xe,e,l),i(e,cl,l),i(e,Ce,l),i(e,ul,l),i(e,He,l),i(e,nl,l),i(e,pl,l),i(e,fl,l),i(e,Le,l),i(e,ml,l),f(we,e,l),i(e,hl,l),i(e,Me,l),i(e,bl,l),i(e,vl,l),i(e,Tl,l),i(e,Ae,l),i(e,yl,l),f(ge,e,l),i(e,_l,l),i(e,Pe,l),i(e,$l,l),i(e,Ee,l),i(e,xl,l),i(e,Re,l),i(e,Cl,l),i(e,je,l),i(e,Hl,l),i(e,Ll,l),i(e,wl,l),i(e,De,l),Ml=!0},p:vi,i(e){Ml||(m(_.$$.fragment,e),m(L.$$.fragment,e),m(g.$$.fragment,e),m(k.$$.fragment,e),m(q.$$.fragment,e),m(V.$$.fragment,e),m(W.$$.fragment,e),m(te.$$.fragment,e),m(se.$$.fragment,e),m(pe.$$.fragment,e),m(ve.$$.fragment,e),m(xe.$$.fragment,e),m(we.$$.fragment,e),m(ge.$$.fragment,e),Ml=!0)},o(e){h(_.$$.fragment,e),h(L.$$.fragment,e),h(g.$$.fragment,e),h(k.$$.fragment,e),h(q.$$.fragment,e),h(V.$$.fragment,e),h(W.$$.fragment,e),h(te.$$.fragment,e),h(se.$$.fragment,e),h(pe.$$.fragment,e),h(ve.$$.fragment,e),h(xe.$$.fragment,e),h(we.$$.fragment,e),h(ge.$$.fragment,e),Ml=!1},d(e){e&&(t(Ke),t(ke),t(Oe),t(y),t(Be),t(qe),t($),t(Ie),t(x),t(ze),t(C),t(Ne),t(Ue),t(Se),t(H),t(Ve),t(Fe),t(w),t(Ge),t(M),t(Je),t(Qe),t(We),t(A),t(Xe),t(Ye),t(P),t(Ze),t(E),t(et),t(R),t(tt),t(lt),t(it),t(j),t(rt),t(ot),t(D),t(st),t(K),t(at),t(O),t(dt),t(ct),t(ut),t(B),t(nt),t(pt),t(I),t(ft),t(z),t(mt),t(N),t(ht),t(U),t(bt),t(vt),t(Tt),t(S),t(yt),t(_t),t(F),t($t),t(G),t(xt),t(J),t(Ct),t(Ht),t(Lt),t(Q),t(wt),t(Mt),t(X),t(At),t(Y),t(gt),t(Z),t(Pt),t(Et),t(Rt),t(ee),t(jt),t(kt),t(le),t(Dt),t(ie),t(Kt),t(re),t(Ot),t(Bt),t(qt),t(oe),t(It),t(zt),t(ae),t(Nt),t(de),t(Ut),t(ce),t(St),t(ue),t(Vt),t(Ft),t(Gt),t(ne),t(Jt),t(Qt),t(fe),t(Wt),t(me),t(Xt),t(he),t(Yt),t(Zt),t(el),t(be),t(tl),t(ll),t(Te),t(il),t(ye),t(rl),t(_e),t(ol),t(sl),t(al),t($e),t(dl),t(cl),t(Ce),t(ul),t(He),t(nl),t(pl),t(fl),t(Le),t(ml),t(hl),t(Me),t(bl),t(vl),t(Tl),t(Ae),t(yl),t(_l),t(Pe),t($l),t(Ee),t(xl),t(Re),t(Cl),t(je),t(Hl),t(Ll),t(wl),t(De)),t(T),b(_,e),b(L,e),b(g,e),b(k,e),b(q,e),b(V,e),b(W,e),b(te,e),b(se,e),b(pe,e),b(ve,e),b(xe,e),b(we,e),b(ge,e)}}}const Hi='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.Callable : <code> * </code>","local":"utilscorecallable--code--code","sections":[],"depth":2},{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.exists(x) ⇒ <code> boolean </code>","local":"utilscoreexistsx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core~Callable","local":"utilscorecallable","sections":[{"title":"new Callable()","local":"new-callable","sections":[],"depth":3},{"title":"callable._call(...args)","local":"callablecallargs","sections":[],"depth":3}],"depth":2}],"depth":1}';function Li(Al){return Ti(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gi extends yi{constructor(T){super(),_i(this,T,Li,Ci,bi,{})}}export{gi as component};
